=== launcher/CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,13 @@
     )
 
 # Source
-add_subdirectory(UnityApplications)
 add_subdirectory(app)
 add_subdirectory(tests)
 
 file(GLOB launcher_QML *.qml)
 
 # Install
-install(FILES ${launcher_QML} launchermenu.css
+install(FILES ${launcher_QML}
     DESTINATION ${UNITY_2D_DIR}/launcher
     )
