=== launcher/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,18 @@
 # Dependencies
-pkg_check_modules(GTK REQUIRED gtk+-2.0)
-pkg_check_modules(X11 REQUIRED x11)
 pkg_check_modules(GEIS REQUIRED libutouch-geis)
-pkg_check_modules(WNCK REQUIRED libwnck)
 pkg_check_modules(QTGCONF REQUIRED libqtgconf)
+pkg_check_modules(DCONFQT REQUIRED dconf-qt)
 
 # Sources
 set(launcher_SRCS
-    abstractvisibilitybehavior.cpp
-    autohidebehavior.cpp
-    forcevisiblebehavior.cpp
     visibilitycontroller.cpp
-    intellihidebehavior.cpp
     launcherview.cpp
     launcherdbus.cpp
     gesturehandler.cpp
     )
 
 set(launcher_MOC_HDRS
-    abstractvisibilitybehavior.h
-    autohidebehavior.h
-    forcevisiblebehavior.h
     visibilitycontroller.h
-    intellihidebehavior.h
     launcherview.h
     launcherdbus.h
     gesturehandler.h
@@ -46,8 +36,8 @@
     ${GTK_INCLUDE_DIRS}
     ${X11_INCLUDE_DIRS}
     ${GEIS_INCLUDE_DIRS}
-    ${WNCK_INCLUDE_DIRS}
     ${QTGCONF_INCLUDE_DIRS}
+    ${DCONFQT_INCLUDE_DIRS}
     ${libunity-2d-private_SOURCE_DIR}/src
     )
 
@@ -59,8 +49,8 @@
     ${GTK_LDFLAGS}
     ${X11_LDFLAGS}
     ${GEIS_LDFLAGS}
-    ${WNCK_LDFLAGS}
     ${QTGCONF_LDFLAGS}
+    ${DCONFQT_LDFLAGS}
     unity-2d-private
     )
