=== libunity-2d-private/tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,9 @@
 
 include_directories(
     ${libunity-2d-private_SOURCE_DIR}/src
+    ${libunity-2d-private_SOURCE_DIR}/Unity2d
     ${CMAKE_CURRENT_BINARY_DIR}
+    ${GLIB_INCLUDE_DIRS}
     ${QT_QTTEST_INCLUDE_DIR}
     )
 
@@ -21,6 +23,7 @@
         target_link_libraries(${_test}
             ${QT_QTTEST_LIBRARIES}
             unity-2d-private
+            unity-2d-private-qml
             )
         set(_test_list "${_test_list};${_test}")
     endforeach(_test)
@@ -31,9 +34,13 @@
 endmacro(libunity_2d_tests)
 
 libunity_2d_tests(
+    gconnectortest
     keyboardmodifiersmonitortest
     paneltest
     unity2dtrtest
+    launchermenutest
+    listaggregatormodeltest
+    qsortfilterproxymodeltest
     )
 
 add_custom_target(unity2dtr_po COMMAND
