=== panel/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
+pkg_check_modules(DCONFQT REQUIRED dconf-qt)
+
 set(panel_SRCS
     main.cpp
     panelmanager.cpp
-    unity2dstyle.cpp
     )
 
 qt4_automoc(${panel_SRCS})
@@ -10,15 +11,17 @@
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
-    ${uqapplets_SOURCE_DIR}
-    ${uqapplets_SOURCE_DIR}/common
+    ${GTK_INCLUDE_DIRS}
+    ${UNITYCORE_INCLUDE_DIRS}
+    ${DCONFQT_INCLUDE_DIRS}
     ${libunity-2d-private_SOURCE_DIR}/src
     )
 
 target_link_libraries(unity-2d-panel
     ${QT_QTGUI_LIBRARIES}
     ${QT_QTCORE_LIBRARIES}
-    uqapplets
+    ${GTK_LDFLAGS}
+    ${DCONFQT_LIBRARIES}
     unity-2d-private
     )
