=== panel/applets/CMakeLists.txt ===
add_subdirectory(separator)
add_subdirectory(homebutton)
add_subdirectory(appname)
add_subdirectory(legacytray)
add_subdirectory(indicator)
add_subdirectory(appindicator)
