=== debian/changelog ===
unity-2d (4.12.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - unity-2d-panel assert failure: *** glibc detected *** unity-2d-panel:
      malloc(): smallbin double linked list corrupted: 0x08313b28 ***
      (LP: #845979)
    - unity-2d-panel assert failure: *** glibc detected *** unity-2d-panel:
      corrupted double-linked list: 0x094bc9b0 *** (LP: #852012)
    - unity-2d-panel crashed with SIGSEGV (LP: #843432)
    - Dragging downwards from the menu bar or double clicking on the menu bar
      should un-maximise the window (LP: #661049)
    - [dash] Dash is shown when pressing and releasing quickly super+KEY
      (LP: #801073)
    - [dash] Do search, scroll down using mouse, then maximise window. Layout
      breaks (LP: #817421)
    - F10 doesn't start keyboard navigation to the panel (LP: #839628)
    - [dash] Gridview moves to top when you open or close the "Show X more.."
      dropdown or the Filter pane (LP: #850036)
    - Impossible to navigate between panel menus when the mouse cursor is over
      the panel (LP: #834065)
    - [panel] F10 menu initially shown about half screen down (LP: #853766)
    - [dash] Filter pane doesn't clear its background when switching lenses
      (LP: #858590)
    - [shortcuts] <Super><Shift># should launch a new instance of #
      application (LP: #768006)
    - unity-2d-spread missing background images when path includes Unicode
      (LP: #855508)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Sep 2011 16:58:34 +0200

unity-2d (4.10.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - unity-2d-panel segfault switching between single and dual screens
      (LP: #848944)
    - bad memory leak in unity-2d-panel (LP: #850320)
    - unity-2d-panel crashed with SIGABRT in raise() (LP: #848155)
    - [dash] Dash is shown when pressing and releasing quickly super+KEY
      (LP: #801073)
    - Wallpaper is loaded twice with different alignment by gnome-session and
      nautilus (Oneiric) (LP: #804435)
    - [panel] Maximized window title switches to Arial font (LP: #820274)
    - [panel] graphics corruption in top line of pixels (LP: #846335)
    - Unity-2d no panel after cancel logout due to not responding app
      (LP: #849379)
    - [panel] Indicators are duplicated if unity-panel-service restarts with
      multiple monitors connected (LP: #850000)
    - Unity doesn't mirror its interface for RTL locales. (LP: #654988)
    - [panel] F10 shortcut with dual screens shows menus on both screens
      (LP: #777995)
    - Background wallpaper briefly appears shifted horizontally by around 15
      pixels on startup (LP: #839610)
    - alt+f2 - can type, doing nothing (LP: #842413)
    - Pressing Alt+F2 sometimes opens the Dash instead of opening the 'Run
      command' screen (LP: #847486)
  * debian/control:
    - bump libxi-dev build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Sep 2011 09:55:59 +0200

unity-2d (4.8.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - [window management] Alt tab does not switch to the desired application
      but instead set the urgency flag on the window (LP: #735205)
    - [dash] search field default text not cleared immediately when using
      chinese input method (LP: #745246)
    - [dash] Apps lens shows no result by default (LP: #834571)
    - unity-2d-panel crashed with SIGSEGV in
      IndicatorsWidget::onEntryRemoved() (LP: #846836)
    - [panel] graphics corruption in top line of pixels (LP: #846335)
    - Repeated indicators in unity-2d panel when second screen added
      (LP: #846441)
    - [dash] Lens navigation bar (buttons on lower edge of dash window) is
      accessible (LP: #826560)
    - [dash] Category filters is sorted according to their english names, even
      when another language is used (LP: #838023)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Sep 2011 11:43:52 +0200

unity-2d (4.6.1-0ubuntu1) oneiric; urgency=low

  * Fix a segfault due to new unity service backend change.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 09 Sep 2011 13:50:22 +0200

unity-2d (4.6.0-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
    - [dash] Apps lens shows no result by default (LP: #834571)
    - Metacity needs command line options to activate capture before unmap and
      compositing without effects (LP: #791205)
    - Bold fonts everywhere in the UI (dash, launcher, workspace switcher) but
      in the panel (LP: #808849)
    - the migration script needs to be run in unity-2d as well (LP: #819733)
    - [dash] "View photos" in the dash launches default image viewer instead
      of shotwell (LP: #822605)
    - Launcher tooltips sometimes leave holes in panel and windows
      (LP: #837277)
    - [dash] Search with non ascii characters fails (LP: #840010)
    - add a configuration key (dconf) to enable the opengl backend
      (LP: #809202)
    - [launcher] when pressing super key shortcuts numbering start at 2
      instead of 1 (LP: #830036)
    - [UIFe] Unity 2D should be using the same BFB icon as Unity (LP: #838829)
    - [launcher] trash icon needs to be the same as in Unity 3D (LP: #840025)
    - Pressing alt on maximized window does show menu but not window controls
      (LP: #836274)
    - [dash] DropShadow on "See X more results" can cause visual errors on
      scroll (LP: #843820)
    - Dash - In the App lens filters, users should only be able filter by
      'star' rating in one star increments (LP: #839759)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - UIFe: Panel - Indicators should be orderable regardless of their parent
      IndicatorObject (LP: #823061)
  * debian/control:
    - rebuild against current nux and unity (API change)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 08 Sep 2011 20:09:59 +0200

unity-2d (4.4.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:

