=== debian/control ===
Source: unity-2d
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-translations (>= 99),
               cmake,
               pkg-config,
               libqt4-dev,
               libqt4-opengl-dev,
               libglib2.0-dev,
               libwnck-3-dev,
               libpango1.0-dev,
               libqtgconf-dev,
               libdconf-qt-dev,
               libqtbamf-dev,
               libqtdee-dev (>= 0.2.3),
               libdbusmenu-qt-dev,
               libx11-dev,
               libindicator3-dev,
               libgtk-3-dev,
               libutouch-geis-dev,
               libstartup-notification0-dev,
               libunity-core-4.0-dev (>= 4.14.2),
               libnux-1.0-dev (>= 1.8),
               libxi-dev,
Standards-Version: 3.9.2
Vcs-Bzr: http://bazaar.launchpad.net/~unity-2d-team/unity-2d/oneiric

Package: unity-2d
Architecture: all
Depends: ${misc:Depends},
         unity-2d-launcher,
         unity-2d-panel,
         unity-2d-places,
         unity-2d-spread,
         metacity (>= 2.30.3-0ubuntu5)
Description: Unity interface for non-accelerated graphics cards
 The Unity 2D interface installs a fully usable 2D session and provides the 
 common configuration files and defaults. Installing this package will 
 offer a session called Unity 2D in your login manager.
 .
 Unity 2D is designed to run smoothly without any graphics acceleration.

Package: libunity-2d-private0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         unity-common,
Description: Unity 2D shared library
 This library is used to host common code used by several Unity 2D components
 It is only used internally, there is no use case for it outside of the unity-2d
 project.

Package: libunity-2d-private-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libunity-2d-private0 (= ${binary:Version}),
         libgtk-3-dev,
         libwnck-3-dev,
         libglib2.0-dev,
         libpango1.0-dev,
Description: Unity 2D shared library - development files
 This library is used to host common code used by several Unity 2D components
 It is only used internally, there is no use case for it outside of the unity-2d
 project.
 .
 This package contains the development header files.

Package: unity-2d-launcher
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         unity-asset-pool,
         libunity-2d-private0 (= ${binary:Version}),
         libqt4-svg,
Recommends: unity-lens-files,
            unity-lens-applications,
            unity-lens-music,
Description: Unity 2D Launcher
 The Unity 2D launcher displays a list of running applications as well as a
 list of favorite applications in a panel at the left of the screen.
 Notifications from individual applications are also highlighted in the
 launcher.
 
Package: unity-2d-panel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libunity-2d-private0 (= ${binary:Version}),
Provides: indicator-renderer
Recommends: indicator-application,
            indicator-appmenu,
            indicator-datetime,
            indicator-messages,
            indicator-session,
            indicator-sound,
Description: Unity 2D Panel
 The Unity 2D panel displays a top panel containing the application menu and
 various indicators. It is part of Unity 2D and can not run  as a standalone
 application outside of the Unity 2D environment.

Package: unity-2d-places
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libunity-2d-private0 (= ${binary:Version}),
         libqt4-svg
Description: Unity 2D Places
 The Unity 2D places overlay over the desktop to provide quick access to
 various categories of applications. It is part of Unity 2D and can not run
 as a standalone application outside of the Unity 2D environment.

Package: unity-2d-spread
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libunity-2d-private0 (= ${binary:Version}),
         libqt4-svg
Description: Unity 2D Spread
 The Unity 2D spread allows you to display a quick thumbnailed view of open
 windows so you can quickly and effectively choose which one you want to 
 switch to. It is part of Unity 2D and can not run  as a standalone application
 outside of the Unity 2D environment.
